com.trendmicro.ds.platform.rest.object.smartfolder

## Class Query

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.Query

-     public class Query
      extends java.lang.Object

  A Smart Folder query

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Query()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Model.Key` | `getKey()` Gets the key that specifies the type of Query.
    `Model.Operator` | `getOperator()` Gets the operator of the Query.
    `Model.Operator` | `getSecondaryOperator()` Gets the secondary operator of the Query.
    `java.lang.String` | `getSecondaryValue()` Gets the secondary value of the Query.
    `java.lang.String` | `getValue()` Gets the value of the Query.
    `void` | `setKey(Model.Key key)` Sets the key that specifies the type of Query.
    `void` | `setOperator(Model.Operator operator)` Sets the operator of the Query.
    `void` | `setSecondaryOperator(Model.Operator secondaryOperator)` Sets the second operator of the Query.
    `void` | `setSecondaryValue(java.lang.String secondaryValue)` Sets the secondary value of the Query.
    `void` | `setValue(java.lang.String value)` Sets the value of the Query.
    `java.lang.String` | `toString()`
    `Query` | `withKey(Model.Key key)` Sets the key that specifies the type of Query.
    `Query` | `withOperator(Model.Operator operator)` Sets the operator of the Query.
    `Query` | `withSecondaryOperator(Model.Operator secondaryOperator)` Sets the second operator of the Query.
    `Query` | `withSecondaryValue(java.lang.String secondaryValue)` Sets the second value of the Query.
    `Query` | `withValue(java.lang.String value)` Sets the value of the Query.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Query

          public Query()

  - ### Method Detail

    - #### getKey

          public Model.Key getKey()

      Gets the key that specifies the type of Query.
      Returns:
        The key that specifies the type of Query.

    - #### setKey

          public void setKey(Model.Key key)

      Sets the key that specifies the type of Query.
      Parameters:
        `key` - the key that specifies the type of Query.

    - #### getOperator

          public Model.Operator getOperator()

      Gets the operator of the Query.
      Returns:
        The operator of the Query.

    - #### setOperator

          public void setOperator(Model.Operator operator)

      Sets the operator of the Query.
      Parameters:
        `operator` - The operator of the Query.

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the Query.
      Returns:
        The value of the Query.

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the Query.
      Parameters:
        `value` - The value of the Query.

    - #### getSecondaryOperator

          public Model.Operator getSecondaryOperator()

      Gets the secondary operator of the Query.
      Returns:
        The secondary operator of the Query.

    - #### setSecondaryOperator

          public void setSecondaryOperator(Model.Operator secondaryOperator)

      Sets the second operator of the Query.
      Parameters:
        `operator` - The secondary operator of the Query.

    - #### getSecondaryValue

          public java.lang.String getSecondaryValue()

      Gets the secondary value of the Query.
      Returns:
        The secondary value of the Query.

    - #### setSecondaryValue

          public void setSecondaryValue(java.lang.String secondaryValue)

      Sets the secondary value of the Query.
      Parameters:
        `value` - The secondary value of the Query.

    - #### withKey

          public Query withKey(Model.Key key)

      Sets the key that specifies the type of Query.
      Parameters:
        `key` - the key that specifies the type of Query.
      Returns:
        The updated Query object.

    - #### withOperator

          public Query withOperator(Model.Operator operator)

      Sets the operator of the Query.
      Parameters:
        `operator` - The operator of the Query.
      Returns:
        The updated Query object.

    - #### withValue

          public Query withValue(java.lang.String value)

      Sets the value of the Query.
      Parameters:
        `value` - The value of the Query.
      Returns:
        The updated Query object.

    - #### withSecondaryOperator

          public Query withSecondaryOperator(Model.Operator secondaryOperator)

      Sets the second operator of the Query.
      Parameters:
        `operator2` - The second operator of the Query.
      Returns:
        The updated Query object.

    - #### withSecondaryValue

          public Query withSecondaryValue(java.lang.String secondaryValue)

      Sets the second value of the Query.
      Parameters:
        `value2` - The second value of the Query.
      Returns:
        The updated Query object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.